__author__ = "Neil Muller"
__copyright__ = "Copyright (c) 2007 Neil Muller"
__license__ = "MIT-style"

"""
Use set_allowed to filter events
"""

import pygame
import sys, os

pygame.display.init()

size=(800,600)
screen=pygame.display.set_mode(size)
pygame.display.set_caption("Events")
screen=pygame.display.get_surface()

oClock=pygame.time.Clock()

pygame.event.set_allowed(None)
pygame.event.set_allowed([pygame.KEYUP,pygame.QUIT,pygame.KEYDOWN])

while True:
    #oClock.tick(2)
    #print "tick"
    oClock.tick(60)
    event=pygame.event.poll()
    if event.type == pygame.QUIT:
        sys.exit()
    elif event.type == pygame.KEYUP and event.key == pygame.K_q:
        sys.exit()
    elif event.type != pygame.NOEVENT:
        print event
