__author__ = "Neil Muller"
__copyright__ = "Copyright (c) 2007 Neil Muller"
__license__ = "MIT-style"

"""
Hello world in pygame, with PIL image embossing
"""

import pygame
import sys
import Image
import ImageFilter

pygame.display.init()
try:
    pygame.font.init()
except Exception, e:
    print "Unable to initialise font module"
    print e
    sys.exit()


size=(800,600)
screen=pygame.display.set_mode(size)
pygame.display.set_caption("Hello World")
screen=pygame.display.get_surface()

conSurface=pygame.Surface((10,10),0,32)
font=pygame.font.Font(None,120)
text=font.render('Hello World!',True,(128, 0, 128)).convert_alpha()
screen.blit(text,(3,3))
tt=text.copy()
tt.blit(screen,(0,0),(0,0,0+text.get_width(),0+text.get_height()))

im_string=pygame.image.tostring(tt,"RGBA",1)
im_size=(text.get_width(),text.get_height())
PILtext=Image.frombuffer('RGBA',im_size,im_string)
PILtext.show(command='display')
PILtext=PILtext.filter(ImageFilter.EMBOSS)
PILtext.show(command='display')
text2=pygame.image.frombuffer(PILtext.tostring(),im_size,'RGBA')

screen.blit(text2,(1,1))

pygame.display.update()

oClock=pygame.time.Clock()

while True:
    oClock.tick(40)
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
        elif event.type == pygame.KEYDOWN and event.key == pygame.K_q:
            sys.exit()
